Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create customer run play

POST/workspaces/{organizationId}/customers/{id}/run-play
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
playNamestring
htmlstring
pageUrlstring
contactEmailstring
minDraftRankScorenumber
paidRankThresholdnumber
Responses
200

Executed lead play and queued awaiting_approval draft

object
404

Customer not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/customers/string/run-play' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "playName": "string",
  "html": "string",
  "pageUrl": "string",
  "contactEmail": "string",
  "minDraftRankScore": 0,
  "paidRankThreshold": 0
}'
Response
{
  "property1": null,
  "property2": null
}

Was this page helpful?